<ion-header class="no-border">
    <ion-toolbar color="dark">
        <ion-buttons slot="start">
            <ion-back-button color="tertiary" defaultHref="/"></ion-back-button>
        </ion-buttons>

        <ion-title>Nombre de la lista</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content color="dark">
    <ion-list color="dark">
        <ion-item color="dark">
            <ion-label position="floating">{{lista.titulo}}</ion-label>
            <ion-input type="text" [(ngModel)]="nombreItem" (keyup.enter)="agregarItem()"></ion-input>
        </ion-item>
    </ion-list>

    <ion-list>
        <ion-list-header color="dark" *ngIf="lista.items.length > 0">
            <ion-label>Tareas por hacer</ion-label>
        </ion-list-header>

        <ion-item-sliding *ngFor="let item of lista.items; let i = index" class="animated fadeInDown">
            <ion-item color="dark">
                <ion-checkbox slot="start" color="tertiary" [(ngModel)]="item.completado" (ionChange)="cambioCheck(item)"></ion-checkbox>
                <ion-label>{{item.desc}}</ion-label>
            </ion-item>
            <ion-item-options side="end">
                <ion-item-option (click)="borrar(i)" color="danger">
                    <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
                </ion-item-option>
            </ion-item-options>
        </ion-item-sliding>


    </ion-list>
</ion-content>